Status: Closed   

Priority: Normal   

Assignee:    

Category: API   

Target version: 1.21.0   

Difficulty:  Fixed in Releases: 1.21.0

Triaged: No Found in Releases:  

Bugzilla link: 1583661 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6320

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1583661

Description of problem:

When trying to add an image to a CR with some template assigned, it is not obvious from the help text how to specify the template.

There is only '--uuid UUID' (of what?) without any description while I would normally grep for something like 'template' or 'image'.

Version-Release number of selected component (if applicable):

Tested on Sat 6.4 snap 5

How reproducible:

Deterministic

Steps to Reproduce:

1. # hammer compute-resource image create --help | grep -i -e template -e image

Actual results:

There is only 'UUID' without any explanation

Expected results:

I'd like to see what this UUID should specify.

Associated revisions

Revision 9ab582fc - 12/12/2018 01:24 AM - Shira Maximov

Fixes #24161 - Add description for UUID in create image

History

#1 - 07/09/2018 09:16 AM - Tomáš Strachota

- Category changed from Other commands to Compute resources

#2 - 09/17/2018 07:01 AM - Akshay Mendhe

- Assignee set to Akshay Mendhe

#3 - 11/15/2018 06:50 AM - Akshay Mendhe

- Assignee deleted (Akshay Mendhe)

#4 - 12/11/2018 11:28 AM - Shira Maximov

- Project changed from Hammer CLI to Foreman

- Category changed from Compute resources to API

#5 - 12/11/2018 11:31 AM - The Foreman Bot

05/09/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1583661


- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6320 added

#6 - 12/12/2018 01:24 AM - Ohad Levy

- Target version set to 1.21.0

- Fixed in Releases 1.21.0 added

#7 - 12/12/2018 02:01 AM - Shira Maximov

- Status changed from Ready For Testing to Closed

Applied in changeset 9ab582fc14f9a862de8b2d7b23780172cd4cffe6.
